// Copyright Epic Games, Inc. All Rights Reserved.

#pragma once 

#include "CoreMinimal.h"
#include "GameFramework/HUD.h"
#include "ExampleSnippetPrjHUD.generated.h"

UCLASS()
class AExampleSnippetPrjHUD : public AHUD
{
	GENERATED_BODY()

public:
	AExampleSnippetPrjHUD();

	/** Primary draw call for the HUD */
	virtual void DrawHUD() override;

private:
	/** Crosshair asset pointer */
	class UTexture2D* CrosshairTex;

};

